> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Compare

> Compare 2-5 vaults on the same metric over the same time window — for overlay charts.



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json get /v1/scores/compare
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/scores/compare:
    get:
      tags:
        - scores
      summary: Compare
      description: >-
        Compare 2-5 vaults on the same metric over the same time window — for
        overlay charts.
      operationId: compare_v1_scores_compare_get
      parameters:
        - name: vault_ids
          in: query
          required: true
          schema:
            type: string
            description: Comma-separated vault_ids
            title: Vault Ids
          description: Comma-separated vault_ids
        - name: days
          in: query
          required: false
          schema:
            type: integer
            maximum: 365
            minimum: 1
            default: 30
            title: Days
        - name: dimension
          in: query
          required: false
          schema:
            type: string
            pattern: >-
              ^(yieldo_score|capital_score|performance_score|risk_score|trust_score)$
            default: yieldo_score
            title: Dimension
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````